<?php
/**
 * Plugin Name: WPSyncSheets Lite For Gravity Forms
 * Plugin URI: https://www.wpsyncsheets.com/wpsyncsheets-for-gravity-forms/
 * Description: Gravity Forms Google Spreadsheet Addon - Allow syncronization in Google Spreadsheet with add/edit rows to have multiple forms and feeds.
 * Version: 1.3
 * Author: Creative Werk Designs
 * Author URI: http://www.creativewerkdesigns.com/
 * Text Domain: wpssg
 * Domain Path: /languages
 *
 * @package     wpsyncsheets-gravity-forms
 * @author      Creative Werk Designs
 * @category    Plugin
 * @copyright   Copyright (c) 2021 Creative Werk Designs
 */

if ( ! get_option( 'active_wpsyncsheets_gravityforms' ) ) {
	// Plugin version.
	define( 'WPSSLGF_VERSION', '1.3' );
	// Plugin URL.
	define( 'WPSSLGF_URL', plugin_dir_url( __FILE__ ) );
	// Plugin directory.
	define( 'WPSSLGF_DIR', plugin_dir_path( __FILE__ ) );
	define( 'WPSSLGF_PATH', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
	define( 'WPSSLGF_DIRECTORY', dirname( plugin_basename( __FILE__ ) ) );
	define( 'WPSSLGF_BASE_FILE', basename( dirname( __FILE__ ) ) . '/wpsyncsheets-lite-gravity-forms.php' );
	define( 'WPSSLGF_DOC_MENU_URL', 'https://docs.wpsyncsheets.com' );
	define( 'WPSSLGF_PRO_VERSION_URL', 'https://www.wpsyncsheets.com/wpsyncsheets-for-gravity-forms/' );
	define( 'WPSSLGF_BUY_PRO_VERSION_URL', 'https://www.wpsyncsheets.com/pricing/?utm_source=liteplugin&utm_medium=admindescription&utm_campaign=wpsyncsheets_lite_for_gravity_forms/' );

	/**
	 * Get list of active plugins.
	 *
	 * @param string $plugin plugin name.
	 */
	function wpsslgf_is_gravityform_plugin_active( $plugin ) {
		return in_array( $plugin, (array) get_option( 'active_plugins', array() ), true );
	}
	if ( wpsslgf_is_gravityform_plugin_active( 'gravityforms/gravityforms.php' ) ) {
		// Add methods if Gravity Forms is active.
		add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'wpsslgf_add_action_links' );

		/**
		 * Add plugin settings link at plugin page.
		 *
		 * @param array $links plugin related links.
		 */
		function wpsslgf_add_action_links( $links ) {
			$mylinks = array(
				'<a href="' . esc_url( admin_url( 'admin.php?page=wpsyncsheets-gravity-forms' ) ) . '">' . esc_html__( 'Settings', 'wpsse' ) . '</a>',
			);
			return array_merge( $mylinks, $links );
		}
		// Define the class and the function.
		require_once dirname( __FILE__ ) . '/src/class-wpsyncsheetsgravityforms.php';
		wpsslgf();
	} else {
		add_action( 'admin_notices', 'wpsslgf_admin_notice' );
		if ( ! function_exists( 'wpsslgf_admin_notice' ) ) {

			/**
			 * Add Gravity Forms plugin missing notice.
			 */
			function wpsslgf_admin_notice() {
				echo '<div class="notice error">
					<div class="wpsslgf-notice">
						<p>WPSyncSheets Lite For Gravity Forms plugin requires <a href="' . esc_url( 'https://www.gravityforms.com/' ) . '" target= "_blank">Gravity Forms</a> plugin to be active!</p>
					</div>
				</div>';
			}
		}
	}
}
